get
https://example.com
Pass in either card data or a payer/payment method ID to directly process a payment.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Parameter | Type | Description |
|---|---|---|
| accessId* | String | Unique identifier that ensures that the integrator has the authorization to make requests on behalf of the customer. (Specifically, a customer's merchant account) |
Body Parameters
| Parameter | Type | Description |
|---|---|---|
| token* | Object/Hash | Object containing authentication parameters - most crucially the requestId which is required with every call. For more information, see the Token Object. |
| totalAmount* | Decimal | The total amount of the payment being processed, including tax if applicable. |
| tax | Decimal | Portion of totalAmount that is tax. |
| description | String | Payment Description. Header level text that will accompany payment. |
| orderId | String | Values sent here will be stored in the Order Number field within ClientPay. |
| payerOrPaymentMethodId | String | Required if no "creditCard" object is provided. If a payment method ID is passed in, then that payment method will be used to process the payment. If a payer ID is passed in, the primary payment method for that payer will be used. |
| creditCard | Object/Hash | Required if no payerOrPaymenMethodId is provided. For more details, see the credit card object. |
| billingInformation | Object/Hash | Object containing billing address fields that will be prepopulated on the resulting payment page. See the billing information object for more details. |
